@font-face {
  font-family: "Gotham";
  src: url("https://minisitios.ripley.cl/minisitios/estatico/fonts/font-gotham/Gotham-Bold.woff")
    format("woff");
  font-weight: 700;
  font-style: normal;
}
@font-face {
  font-family: "Gotham";
  src: url("https://minisitios.ripley.cl/minisitios/estatico/fonts/font-gotham/Gotham-Black.woff")
    format("woff");
  font-weight: 900;
  font-style: normal;
}
@font-face {
  font-family: "Gotham";
  src: url("https://minisitios.ripley.cl/minisitios/estatico/fonts/font-gotham/Gotham-Book.woff")
    format("woff");
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: "Gotham";
  src: url("https://minisitios.ripley.cl/minisitios/estatico/fonts/font-gotham/Gotham-Light.woff")
    format("woff");
  font-weight: 300;
  font-style: normal;
}

#LANDING-MAC {
  max-width: 1140px;
  margin: auto;
  padding: 0;
  box-sizing: border-box;
  font-size: 16px;
  text-align: center;
  font-family: "Gotham", sans-serif;
}

#LANDING-MAC img {
  width: 100%;
}
.landing-mac__navbar {
  padding: 20px;
  background-color: #f2f2f2;
  top: 0;
  position: sticky;
  z-index: 1000;
}
.landing-mac__navbar a {
  text-decoration: none;
  color: black;
  font-size: 1em;
  font-weight: 300;
  font-family: "Gotham", sans-serif;
  text-align: center;
}
.landing-mac__navbar__item1 img {
  width: 90%;
}
#carrusel_menu-slide01 {
  display: flex;
  align-items: center;
}
#LANDING-MAC span {
  font-size: 0.8em;
  font-weight: 900;
}

#LANDING-MAC__HEADER {
  margin: 10px auto;
}

.landing-mac__tipo-productos {
  display: grid;
  gap: 10px;
  grid-template-columns: repeat(2, 1fr);
  /* grid-template-rows: repeat(4, 1fr); */
  grid-template-areas:
    "tipo-productos__item1 tipo-productos__item3"
    "tipo-productos__item2 tipo-productos__item2"
    "tipo-productos__item4 tipo-productos__item5"
    "tipo-productos__item6 tipo-productos__item6";
}
.landing-mac__tipo-productos__item1 {
  grid-area: tipo-productos__item1;
}
.landing-mac__tipo-productos__item2 {
  grid-area: tipo-productos__item2;
}
.landing-mac__tipo-productos__item3 {
  grid-area: tipo-productos__item3;
}
.landing-mac__tipo-productos__item4 {
  grid-area: tipo-productos__item4;
}
.landing-mac__tipo-productos__item5 {
  grid-area: tipo-productos__item5;
}
.landing-mac__tipo-productos__item6 {
  grid-area: tipo-productos__item6;
}
/* grid tipo de productos */

/* animacion box */
#LANDING-MAC__HEADER,
.landing-mac__tipo-productos__item1,
.landing-mac__tipo-productos__item2,
.landing-mac__tipo-productos__item3,
.landing-mac__tipo-productos__item4,
.landing-mac__tipo-productos__item5,
.landing-mac__tipo-productos__item6,
.landing-mac__superstars_item1,
.landing-mac__superstars_item2,
.landing-mac__superstars_item3,
.landing-mac__superstars_item4,
.landing-mac__superstars_item5,
.landing-mac__superstars_item6,
.landing-mac__encuentra-tu__item1,
.landing-mac__encuentra-tu__item2,
.landing-mac__encuentra-tu__item3,
#LANDING-MAC__BANNER,
.landing-mac-tutoriales1,
.landing-mac-tutoriales2,
.landing-mac-tutoriales3,
.landing-mac-tutoriales4,
.landing-mac-tutoriales5,
.landing-mac-tutoriales6,
.landing-mac-tutoriales7,
.landing-mac-tutoriales8 {
  transition: all 0.4s;
}
#LANDING-MAC__HEADER:hover,
.landing-mac__tipo-productos__item1:hover,
.landing-mac__tipo-productos__item2:hover,
.landing-mac__tipo-productos__item3:hover,
.landing-mac__tipo-productos__item4:hover,
.landing-mac__tipo-productos__item5:hover,
.landing-mac__tipo-productos__item6:hover,
.landing-mac__superstars_item1:hover,
.landing-mac__superstars_item2:hover,
.landing-mac__superstars_item3:hover,
.landing-mac__superstars_item4:hover,
.landing-mac__superstars_item5:hover,
.landing-mac__superstars_item6:hover,
.landing-mac__encuentra-tu__item1:hover,
.landing-mac__encuentra-tu__item2:hover,
.landing-mac__encuentra-tu__item3:hover,
#LANDING-MAC__BANNER:hover,
.landing-mac-tutoriales1:hover,
.landing-mac-tutoriales2:hover,
.landing-mac-tutoriales3:hover,
.landing-mac-tutoriales4:hover,
.landing-mac-tutoriales5:hover,
.landing-mac-tutoriales6:hover,
.landing-mac-tutoriales7:hover,
.landing-mac-tutoriales8:hover {
  transform: scale(1.02);
  filter: brightness(105%);
}
/* animacion box */

.button_todo {
  background: black;
  border: 1px transparent;
  color: white;
  padding: 5px 20px;
  font-size: 1em;
  font-weight: 700;
  cursor: pointer;
}

/* grid mac superstars */
.landing-mac__superstars {
  display: grid;
  gap: 5px;
  grid-template-columns: repeat(3, 1fr);
  grid-template-areas:
    "uno uno uno "
    "dos tres cuatro"
    "cinco siete seis ";
}
.landing-mac__superstars_item1 {
  grid-area: uno;
}
.landing-mac__superstars_item2 {
  grid-area: dos;
}
.landing-mac__superstars_item3 {
  grid-area: tres;
}
.landing-mac__superstars_item4 {
  grid-area: cuatro;
}
.landing-mac__superstars_item5 {
  grid-area: cinco;
}
.landing-mac__superstars_item6 {
  grid-area: seis;
}
.landing-mac__superstars_item7 {
  grid-area: siete;
}
/* grid mac superstars */

#LANDING-MAC__ENCUENTRA-TU img,
.landing-mac__superstars img {
  width: 100%;
}
#carrusel_encuentra .splide__pagination {
  bottom: -0.5em;
}
#carrusel_encuentra .splide__pagination__page.is-active {
  background: black;
}
.active_menu {
  text-decoration-line: underline;
}

/* scroll apear */
.appear-img {
  opacity: 0;
  transform: scale(0.8);
  transition: all 1s;
}
.animation-scroll-up {
  animation: scroll-up 1.5s;
}
@keyframes scroll-up {
  0% {
    opacity: 0;
    transform: scale(0.8);
  }

  100% {
    opacity: 1;
    transform: scale(1);
  }
}
.visible-content {
  opacity: 1;
  transform: scale(1);
}

/* grid tutoriales */

#LANDING-MAC__TUTORIALES {
  display: grid;
  gap: 5px;
  grid-template-columns: repeat(2, 1fr);
  grid-template-areas:
    "uno dos"
    "tres cuatro"
    "cinco seis"
    "siete ocho";
}

.landing-mac-tutoriales1 {
  grid-area: uno;
}
.landing-mac-tutoriales2 {
  grid-area: dos;
}
.landing-mac-tutoriales3 {
  grid-area: tres;
}
.landing-mac-tutoriales4 {
  grid-area: cuatro;
}
.landing-mac-tutoriales5 {
  grid-area: cinco;
}
.landing-mac-tutoriales6 {
  grid-area: seis;
}
.landing-mac-tutoriales7 {
  grid-area: siete;
}
.landing-mac-tutoriales8 {
  grid-area: ocho;
}

/* MODAL */
#modal_tutoriales_container button {
  background-color: #000;
  border: transparent;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  color: white;
  font-size: 1em;
  font-weight: 900;
  cursor: pointer;
}
.modal-tutoriales-container {
  display: none;
  background-color: rgba(0, 0, 0, 0.5);
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  animation: fademodal 0.5s;
}
.modal-tutoriales-container-show {
  display: flex;
  opacity: 1;
  z-index: 10000;
}
.fadeOutModal {
  animation: fadeoutmodal 0.5s;
}
.modal-tutoriales-video {
  background-color: #000;
  width: 600px;
  max-width: 95%;
  padding: 5px;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
  text-align: center;
}
#iframe-tutoriales {
  width: 100%;
}
#modal_tutoriales_container .modal-button {
  text-align: right;
  padding: 5px;
}
/* MODAL */

@keyframes fademodal {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}
@keyframes fadeoutmodal {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@media (min-width: 768px) {
  #LANDING-MAC__HEADER {
    margin: 20px auto;
  }

  #carrusel_menu {
    max-width: 1140px;
    margin: auto;
  }

  .landing-mac__navbar__item1 img {
    width: 95%;
  }

  #LANDING-MAC img {
    width: unset;
  }

  #LANDING-MAC span {
    font-size: 1em;
    font-weight: 900;
  }

  /* grid tipo de productos */
  .landing-mac__tipo-productos {
    gap: 20px;
    grid-template-columns: 1fr 2fr 1fr;
    grid-template-areas:
      "tipo-productos__item1 tipo-productos__item2 tipo-productos__item3"
      "tipo-productos__item4 tipo-productos__item5 tipo-productos__item6";
  }
  /* grid tipo de productos */

  #LANDING-MAC__TEXTO1,
  #LANDING-MAC__TEXTO2,
  #LANDING-MAC__TEXTO3,
  #LANDING-MAC__TEXTO4 {
    margin: 50px 0;
  }

  #LANDING-MAC__TEXTO1 p {
    font-size: 1em;
    font-weight: 400;
  }

  /* grid mac superstars */
  .landing-mac__superstars {
    gap: 20px;
    grid-template-columns: repeat(5, 1fr);
    grid-template-areas:
      "uno uno uno uno uno"
      "dos tres cuatro cinco seis";
  }
  /* grid mac superstars */

  .landing-mac__superstars_item7 {
    display: none;
  }

  /* grid tutoriales */
  #LANDING-MAC__TUTORIALES {
    grid-template-columns: repeat(4, 1fr);
    grid-template-areas:
      "uno dos tres cuatro"
      "cinco seis siete ocho";
  }

  #LANDING-MAC__TUTORIALES img {
    width: 100%;
    cursor: pointer;
  }
}
